package cn.pluss.platform.baidu;

/**
 * @author DJH
 */
public interface BaiduFaceDetectService {

    /**
     *
     * 人脸识别获取accessToken
     *
     * @author Administrator
     * @return
     * @since JDK 1.8
     */
    String getAuth();

    String apiGetAuth();

    /**
     * 目标图片与源图片做图片对比
     * @param src 源图片，这里指进件身份证图片，base64
     * @param dist 目标图片, 这里指待对比的图片，base64
     */
    void checkFaceMatch(String src, String dist);

    /**
     *
     * @param dist base64图片
     */
    void apiCheckFaceMatch(String dist);
}
